MockResourceLoader (Grails 6.0.0)

Package: org.grails.core.io

## [Java] Class MockResourceLoader

- org.grails.core.io.MockResourceLoader

-     public class MockResourceLoader
      extends org.springframework.core.io.DefaultResourceLoader

  Loads from the file system if its not found on the classpath. Useful for mock testing.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
    `` | `private static boolean` | `isNotPrefixed(java.lang.String location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.DefaultResourceLoader#getProtocolResolvers(), org.springframework.core.io.DefaultResourceLoader#clearResourceCaches(), org.springframework.core.io.DefaultResourceLoader#getResourceCache(java.lang.Class), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource(java.lang.String location)

    - #### private static boolean isNotPrefixed(java.lang.String location)